d3.select("body").on("keydown",function() {
  if (d3.event.ctrlKey && d3.event.which === 75) {
     alert("keydowned");
  }
});

defaultChartConfig("estadisticasTotales", fibonacci());
defaultChartConfig("totalEstatistics", fibonacci());

function defaultChartConfig(containerid, data, guideline, useDates, auxOptions) {
  if (auxOptions === undefined) auxOptions = {};
  if (guideline === undefined) guideline = true;
  nv.addGraph(function() {
    var chart;
    chart = nv.models.lineChart().useInteractiveGuideline(guideline);
    chart.x(function(d,i) { 
          return d.x;
        });
    if (auxOptions.width) 
      chart.width(auxOptions.width);
    if (auxOptions.height)
      chart.height(auxOptions.height);
    if (auxOptions.forceY) 
      chart.forceY([0]);
    var formatter;   
    chart.margin({right: 40});
    chart.xAxis // chart sub-models (ie. xAxis, yAxis, etc) when accessed directly, return themselves, not the parent chart, so need to chain separately
    d3.select('#' + containerid + ' svg')
    .datum(data)
    .transition().duration(500)
    .call(chart);
    nv.utils.windowResize(chart.update);
    return chart;
  });
}

// Datos de las ascensiones
function fibonacci() {	
  var ascensiones = [
      {x:1953, y:2},
      {x:1954, y:0},
      {x:1955, y:0},
      {x:1956, y:4},
      {x:1957, y:0},
      {x:1958, y:0},
      {x:1959, y:0},
      {x:1960, y:3},
      {x:1961, y:0},
	  {x:1962, y:0},
	  {x:1963, y:6},
	  {x:1964, y:0},
	  {x:1965, y:9},
	  {x:1966, y:0},
	  {x:1967, y:0},
	  {x:1968, y:0},
	  {x:1969, y:0},
	  {x:1970, y:4},
	  {x:1971, y:0},
	  {x:1972, y:0},
	  {x:1973, y:10},
	  {x:1974, y:0},
	  {x:1975, y:15},
	  {x:1976, y:4},
	  {x:1977, y:2},
	  {x:1978, y:25},
	  {x:1979, y:18},
	  {x:1980, y:19},
	  {x:1981, y:5},
	  {x:1982, y:18},
	  {x:1983, y:23},
	  {x:1984, y:16},
	  {x:1985, y:30},
	  {x:1986, y:4},
	  {x:1987, y:2},
	  {x:1988, y:50},
	  {x:1989, y:24},
	  {x:1990, y:72},
	  {x:1991, y:38},
	  {x:1992, y:90},
	  {x:1993, y:129},
	  {x:1994, y:51},
	  {x:1995, y:83},
	  {x:1996, y:95},
	  {x:1997, y:85},
	  {x:1998, y:121},
	  {x:1999, y:118},
	  {x:2000, y:145},
	  {x:2001, y:182},
	  {x:2002, y:159},
	  {x:2003, y:267},
	  {x:2004, y:337},
	  {x:2005, y:307},
	  {x:2006, y:493},
	  {x:2007, y:632},
	  {x:2008, y:426},
	  {x:2009, y:462},
	  {x:2010, y:543},
	  {x:2011, y:537},
	  {x:2012, y:556},
	  {x:2013, y:656}
  ];
  
    var sinoxigeno = [
      {x:1953, y:0},
      {x:1954, y:0},
      {x:1955, y:0},
      {x:1956, y:0},
      {x:1957, y:0},
      {x:1958, y:0},
      {x:1959, y:0},
      {x:1960, y:0},
      {x:1961, y:0},
	  {x:1962, y:0},
	  {x:1963, y:0},
	  {x:1964, y:0},
	  {x:1965, y:0},
	  {x:1966, y:0},
	  {x:1967, y:0},
	  {x:1968, y:0},
	  {x:1969, y:0},
	  {x:1970, y:0},
	  {x:1971, y:0},
	  {x:1972, y:0},
	  {x:1973, y:0},
	  {x:1974, y:0},
	  {x:1975, y:0},
	  {x:1976, y:0},
	  {x:1977, y:0},
	  {x:1978, y:5},
	  {x:1979, y:0},
	  {x:1980, y:1},
	  {x:1981, y:0},
	  {x:1982, y:0},
	  {x:1983, y:7},
	  {x:1984, y:7},
	  {x:1985, y:2},
	  {x:1986, y:2},
	  {x:1987, y:1},
	  {x:1988, y:7},
	  {x:1989, y:4},
	  {x:1990, y:8},
	  {x:1991, y:4},
	  {x:1992, y:4},
	  {x:1993, y:6},
	  {x:1994, y:4},
	  {x:1995, y:10},
	  {x:1996, y:9},
	  {x:1997, y:4},
	  {x:1998, y:5},
	  {x:1999, y:8},
	  {x:2000, y:2},
	  {x:2001, y:9},
	  {x:2002, y:3},
	  {x:2003, y:2},
	  {x:2004, y:15},
	  {x:2005, y:2},
	  {x:2006, y:11},
	  {x:2007, y:10},
	  {x:2008, y:0},
	  {x:2009, y:2},
	  {x:2010, y:19},
	  {x:2011, y:0},
	  {x:2012, y:0},
	  {x:2013, y:0}
  ];
  
      var muertes = [
      {x:1953, y:0},
      {x:1954, y:0},
      {x:1955, y:0},
      {x:1956, y:0},
      {x:1957, y:0},
      {x:1958, y:0},
      {x:1959, y:0},
      {x:1960, y:2},
      {x:1961, y:1},
	  {x:1962, y:1},
	  {x:1963, y:0},
	  {x:1964, y:0},
	  {x:1965, y:0},
	  {x:1966, y:1},
	  {x:1967, y:0},
	  {x:1968, y:0},
	  {x:1969, y:1},
	  {x:1970, y:8},
	  {x:1971, y:1},
	  {x:1972, y:1},
	  {x:1973, y:1},
	  {x:1974, y:6},
	  {x:1975, y:2},
	  {x:1976, y:1},
	  {x:1977, y:0},
	  {x:1978, y:2},
	  {x:1979, y:6},
	  {x:1980, y:3},
	  {x:1981, y:1},
	  {x:1982, y:11},
	  {x:1983, y:3},
	  {x:1984, y:8},
	  {x:1985, y:7},
	  {x:1986, y:4},
	  {x:1987, y:4},
	  {x:1988, y:10},
	  {x:1989, y:8},
	  {x:1990, y:4},
	  {x:1991, y:2},
	  {x:1992, y:5},
	  {x:1993, y:8},
	  {x:1994, y:5},
	  {x:1995, y:3},
	  {x:1996, y:15},
	  {x:1997, y:9},
	  {x:1998, y:4},
	  {x:1999, y:4},
	  {x:2000, y:2},
	  {x:2001, y:5},
	  {x:2002, y:3},
	  {x:2003, y:4},
	  {x:2004, y:7},
	  {x:2005, y:6},
	  {x:2006, y:11},
	  {x:2007, y:4},
	  {x:2008, y:1},
	  {x:2009, y:4},
	  {x:2010, y:3},
	  {x:2011, y:4},
	  {x:2012, y:10},
	  {x:2013, y:8}
  ];

  return [{values: ascensiones,area:true,color: "#8edcce", key: "Total ascensiones"},{values: sinoxigeno,area:true,color: "#a685bc", key: "Ascensiones sin oxígeno"},{values: muertes,area:true,color: "#c84848", key: "Total muertes"}];
}