d3.select("body").on("keydown",function() {
  if (d3.event.ctrlKey && d3.event.which === 75) {
     alert("keydowned");
  }
});

defaultChartConfig("hours", fibonacci());

function defaultChartConfig(containerid, data, guideline, useDates, auxOptions) {
  if (auxOptions === undefined) auxOptions = {};
  if (guideline === undefined) guideline = true;
  nv.addGraph(function() {
    var chart;
    chart = nv.models.lineChart().useInteractiveGuideline(guideline);
    chart.x(function(d,i) { 
          return d.x;
        });
    if (auxOptions.width) 
      chart.width(auxOptions.width);
    if (auxOptions.height)
      chart.height(auxOptions.height);
    if (auxOptions.forceY) 
      chart.forceY([0]);
    var formatter;   
    chart.margin({right: 40});
    chart.xAxis // chart sub-models (ie. xAxis, yAxis, etc) when accessed directly, return themselves, not the parent chart, so need to chain separately
    d3.select('#' + containerid + ' svg')
    .datum(data)
    .transition().duration(500)
    .call(chart);
    nv.utils.windowResize(chart.update);
    return chart;
  });
}

// Datos de las ascensiones
function fibonacci() {	
  var sur = [
	  {x:0, y:0},
	  {x:1, y:1},
	  {x:2, y:2},
	  {x:3, y:17},
	  {x:4, y:35},
	  {x:5, y:60},
	  {x:6, y:117},
	  {x:7, y:160},
	  {x:8, y:135},
	  {x:9, y:155},
	  {x:10, y:148},
	  {x:11, y:63},
	  {x:12, y:60},
	  {x:13, y:35},
	  {x:14, y:16},
	  {x:15, y:19},
	  {x:16, y:9},
	  {x:17, y:9},
	  {x:18, y:0},
	  {x:19, y:0},
	  {x:20, y:0},
	  {x:21, y:0},
	  {x:22, y:0},
	  {x:23, y:0},
	  {x:24, y:0},
  ];
  
  var norte = [
	  {x:0, y:0},
	  {x:1, y:0},
	  {x:2, y:0},
	  {x:3, y:14},
	  {x:4, y:19},
	  {x:5, y:52},
	  {x:6, y:175},
	  {x:7, y:120},
	  {x:8, y:92},
	  {x:9, y:108},
	  {x:10, y:98},
	  {x:11, y:59},
	  {x:12, y:60},
	  {x:13, y:39},
	  {x:14, y:22},
	  {x:15, y:18},
	  {x:16, y:9},
	  {x:17, y:1},
	  {x:18, y:14},
	  {x:19, y:2},
	  {x:20, y:0},
	  {x:21, y:0},
	  {x:22, y:0},
	  {x:23, y:0},
	  {x:24, y:0},
  ];

  return [{values: sur,area:true,color: "#a685bc", key: "Collado Sur > Arista Sureste  "},{values: norte,area:true,color: "#8edcce", key: "Collado Norte > Arista Noreste  "}];
}