d3.select("body").on("keydown",function() {
  if (d3.event.ctrlKey && d3.event.which === 75) {
     alert("keydowned");
  }
});

defaultChartConfig("oxigene", fibonacci());

function defaultChartConfig(containerid, data, guideline, useDates, auxOptions) {
  if (auxOptions === undefined) auxOptions = {};
  if (guideline === undefined) guideline = true;
  nv.addGraph(function() {
    var chart;
    chart = nv.models.lineChart().useInteractiveGuideline(guideline);
    chart.x(function(d,i) { 
          return d.x;
        });
    if (auxOptions.width) 
      chart.width(auxOptions.width);
    if (auxOptions.height)
      chart.height(auxOptions.height);
    if (auxOptions.forceY) 
      chart.forceY([0]);
    var formatter;   
    chart.margin({right: 40});
    chart.xAxis // chart sub-models (ie. xAxis, yAxis, etc) when accessed directly, return themselves, not the parent chart, so need to chain separately
    d3.select('#' + containerid + ' svg')
    .datum(data)
    .transition().duration(500)
    .call(chart);
    nv.utils.windowResize(chart.update);
    return chart;
  });
}

// Datos de las ascensiones
function fibonacci() {	
  var ascensiones = [
	  {x:1978, y:20},
	  {x:1979, y:0},
	  {x:1980, y:5.26},
	  {x:1981, y:0},
	  {x:1982, y:0},
	  {x:1983, y:30.43},
	  {x:1984, y:43.75},
	  {x:1985, y:6.66},
	  {x:1986, y:50},
	  {x:1987, y:50},
	  {x:1988, y:14},
	  {x:1989, y:16.66},
	  {x:1990, y:11.11},
	  {x:1991, y:10.52},
	  {x:1992, y:2.22},
	  {x:1993, y:4.65},
	  {x:1994, y:7.84},
	  {x:1995, y:12.04},
	  {x:1996, y:9.47},
	  {x:1997, y:4.7},
	  {x:1998, y:4.13},
	  {x:1999, y:6.77},
	  {x:2000, y:1.37},
	  {x:2001, y:4.94},
	  {x:2002, y:1.88},
	  {x:2003, y:0.74},
	  {x:2004, y:4.45},
	  {x:2005, y:0.65},
	  {x:2006, y:2.23},
	  {x:2007, y:1.58},
	  {x:2008, y:0},
	  {x:2009, y:0.43},
	  {x:2010, y:3.49},
	  {x:2011, y:0},
	  {x:2012, y:0},
	  {x:2013, y:0},
  ];

  return [{values: ascensiones,area:true,color: "#8edcce", key: "% de ascensiones sin oxígeno"}];
}